Package com.github.lgooddatepicker.durationpicker_underconstruction

# Enum DurationUnit

java.lang.Object
java.lang.Enum<DurationUnit>
com.github.lgooddatepicker.durationpicker_underconstruction.DurationUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<DurationUnit>`, `java.lang.constant.Constable`

public enum DurationUnit extends Enum<DurationUnit>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Day`
`Hour`
`Minute`
`Month`
`Second`
`Week`
`Year`

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`inSeconds`
`final int`
`thirtyMinutesInSeconds`

## Method Summary

Modifier and Type
Method
Description
`static DurationUnit`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DurationUnit[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Second

public static final DurationUnit Second

### Minute

public static final DurationUnit Minute

### Hour

public static final DurationUnit Hour

### Day

public static final DurationUnit Day

### Week

public static final DurationUnit Week

### Month

public static final DurationUnit Month

### Year

public static final DurationUnit Year

## Field Details

### inSeconds

public final int inSeconds

### thirtyMinutesInSeconds

public final int thirtyMinutesInSeconds

See Also:
  - Constant Field Values

## Method Details

### values

public static DurationUnit[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DurationUnit valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null